---
title: Document.close()
slug: Web/API/Document/close
tags:
  - API
  - Document
  - HTML DOM
  - Method
  - Reference
---
<div>{{APIRef("DOM")}}</div>

<p>The <strong><code>Document.close()</code></strong> method finishes writing to a document, opened with {{domxref("Document.open()")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">document.close();
</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">// Open a document to write to it
document.open();

// Write the content of the document
document.write("&lt;p&gt;The one and only content.&lt;/p&gt;");

// Close the document
document.close();
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("HTML WHATWG", "#dom-document-close", "document.close()")}}</td>
   <td>{{Spec2("HTML WHATWG")}}</td>
   <td> </td>
  </tr>
  <tr>
   <td>{{SpecName("DOM2 HTML", "html.html#ID-98948567", "document.close()")}}</td>
   <td>{{Spec2("DOM2 HTML")}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.close")}}</p>
